How to enable Legacy Mode in Joomla for old plugins to work

Enable Joomla Legacy Mode to fix problems with old Joomla extensions

Joomla Legacy mode is needed to run Joomla 1.0 components, modules or plugins which have not been migrated to Joomla 1.5. 

Although Joomla legacy mode is not recommended due to performance issues and other reasons, sometimes one cannot help this because certain components are not available for Joomla 1.5. 

Enabling the Legacy mode is not very straightforward. This is done by enabling a system plugin. To enable the plugin, you need to go to Extensions > Plugin Manager, find the plugin named System - Legacy, and click on the red cross to enable the legacy plugin.

Once this has been enabled, any Joomla 1.0 template, component, module or mambot can be used on your Joomla website. As we have already said, the legacy plugin does introduce additional overhead, and should be used with caution. If possible, always use Joomla 1.5 components and avoid using the Legacy plugin. 

One more thing...

Do you have friends or a Facebook group who you think would find this useful? Share this with them and then let me know what they think.

Want to supercharge your website?

 
Our website loads FAST ... just 1.29 seconds. We're hosted on FAST InMotion VPS servers We want YOUR website to be fast too, so we've gotten you an exclusive deal - 47% OFF for DART Creations friends + FREE domain! Check it out NOW!